Bug 1936803 - Support ServiceBinding 0.5.0+
Summary: Support ServiceBinding 0.5.0+
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.7.z
Assignee: Sahil Budhwar
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On: 1936801
Blocks: 1943160
TreeView+ depends on / blocked
 
Reported: 2021-03-09 08:22 UTC by OpenShift BugZilla Robot
Modified: 2021-03-30 04:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-30 04:46:29 UTC
Target Upstream Version:


Attachments (Terms of Use)
Support ServiceBinding 0.5.0+ (77.56 KB, image/png)
2021-03-23 22:36 UTC, spathak@redhat.com
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8335 0 None open [release-4.7] Bug 1936803: support service binding operator version 0.5.0 2021-03-10 12:31:08 UTC
Red Hat Product Errata RHSA-2021:0957 0 None None None 2021-03-30 04:46:44 UTC

Description OpenShift BugZilla Robot 2021-03-09 08:22:54 UTC
+++ This bug was initially created as a clone of Bug #1936801 +++

Description
APPSVC-809 introduced a change in ServiceBinding group API name. The name will be in use from version 0.5.0 that is about to be released in this sprint (APPSVC-830).

As a user, I would like to continue binding services from the console.

Although this is officially a breaking API change, the fact that we changed only API group name, makes it possible to support both the current API group (operators.coreos.com) and the new one (binding.operators.coreos.com). The console can check what service binding CRD is available in the cluster, and based on that use the appropriate group name in its requests.

Acceptance Criteria
support service binding operator both in 0.4.0 and 0.5.0 versions

Comment 3 spathak@redhat.com 2021-03-23 22:36:12 UTC
Created attachment 1765749 [details]
Support ServiceBinding 0.5.0+

Comment 4 spathak@redhat.com 2021-03-23 22:38:10 UTC
Verified on build version: 4.7.0-0.nightly-2021-03-22-025559
Browser: Google Chrome 84

Comment 6 errata-xmlrpc 2021-03-30 04:46:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.4 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0957


Note You need to log in before you can comment on or make changes to this bug.